Bug 62203 - Influxdb BackendListener client: store user tags to annotation and internal transaction
Summary: Influxdb BackendListener client: store user tags to annotation and internal t...
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: 4.0
Hardware: PC All
: P2 major (vote)
Target Milestone: JMETER_5.0
Assignee: JMeter issues mailing list
URL:
Keywords: FixedInTrunk
Depends on:
Blocks:
 
Reported: 2018-03-21 15:22 UTC by sbatalin
Modified: 2018-03-31 11:50 UTC (History)
1 user (show)



Attachments
InfluxdbBackendListenerClient (19.53 KB, text/x-csrc)
2018-03-21 15:22 UTC, sbatalin
Details
Listener parameters (16.96 KB, image/png)
2018-03-22 06:54 UTC, sbatalin
Details
Influxdb measurement (49.29 KB, image/png)
2018-03-22 06:56 UTC, sbatalin
Details
Influxdb events (23.06 KB, image/png)
2018-03-22 06:57 UTC, sbatalin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sbatalin 2018-03-21 15:22:13 UTC
Created attachment 35798 [details]
InfluxdbBackendListenerClient

Influxdb BackendListener client not send users tags:
 - with event metrics (EVENTS_FOR_ANNOTATION = "events")
 - with "internal" transaction metrics

Need add tag.append(userTag) to:
 - sendMetrics() method
 - addAnnotation(boolean startOrEnd) method

See attached InfluxdbBackendListenerClient.java
Comment 1 Philippe Mouawad 2018-03-21 20:12:07 UTC
Hello,
Thanks for report.
Can you show in a screenshot the impact of missing information ?

Thank you
Comment 2 sbatalin 2018-03-22 06:54:19 UTC
Created attachment 35799 [details]
Listener parameters
Comment 3 sbatalin 2018-03-22 06:56:13 UTC
Created attachment 35800 [details]
Influxdb measurement
Comment 4 sbatalin 2018-03-22 06:57:00 UTC
Created attachment 35801 [details]
Influxdb events
Comment 5 sbatalin 2018-03-22 06:58:32 UTC
See attached pictures.
Comment 6 Philippe Mouawad 2018-03-24 11:25:15 UTC
Thanks for feedback and patch. Committed.


Author: pmouawad
Date: Sat Mar 24 11:24:46 2018
New Revision: 1827633

URL: http://svn.apache.org/viewvc?rev=1827633&view=rev
Log:
Bug 62203 - Influxdb BackendListener client: store user tags to annotation and internal transaction
Contributed by Sergey Batalin
Bugzilla Id: 62203

Modified:
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/backend/influxdb/InfluxdbBackendListenerClient.java
    jmeter/trunk/xdocs/changes.xml